=== debian/changelog ===
ros-foxy-rmw-connext-shared-cpp (1.0.3-1focal) focal; urgency=high

  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>) (#470 <https://github.com/ros2/rmw_connext/issues/470>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (1.0.2-1focal) focal; urgency=high

  * Fixed Foxy
  * Updated rmw_* return codes (#463 <https://github.com/ros2/rmw_connext/issues/463>)
  * Update graph API return codes. (#459 <https://github.com/ros2/rmw_connext/issues/459>)
  * Ensure compliant publisher API (#445 <https://github.com/ros2/rmw_connext/issues/445>)
  * Ensure compliant node construction/destruction API. (#439 <https://github.com/ros2/rmw_connext/issues/439>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Oct 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (1.0.1-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID (#427 <https://github.com/ros2/rmw_connext/issues/427>) (#430 <https://github.com/ros2/rmw_connext/issues/430>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (1.0.0-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#423 <https://github.com/ros2/rmw_connext/issues/423>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.9.1-1focal) focal; urgency=high

  * Initialize RMW qos profiles to rmw_qos_profile_unknown. (#422 <https://github.com/ros2/rmw_connext/issues/422>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.9.0-1focal) focal; urgency=high

  * Add basic support for security logging plugin (#404 <https://github.com/ros2/rmw_connext/issues/404>)
  * security-context -> enclave (#407 <https://github.com/ros2/rmw_connext/issues/407>)
  * Do not force 510 locators compatibility mode (#406 <https://github.com/ros2/rmw_connext/issues/406>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#392 <https://github.com/ros2/rmw_connext/issues/392>)
  * Correct error message when using a non supported event (#400 <https://github.com/ros2/rmw_connext/issues/400>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#398 <https://github.com/ros2/rmw_connext/issues/398>)
  * Increase the max_objects_per_thread (#394 <https://github.com/ros2/rmw_connext/issues/394>)
    Increased to 8192, which should allow something like 60 - 70 participants.
  * Add rmw_*_event_init() functions (#397 <https://github.com/ros2/rmw_connext/issues/397>)
  * Fix build warnings due to -Wsign-compare with GCC 9 (#396 <https://github.com/ros2/rmw_connext/issues/396>)
  * Don't use RTPS Participant name as node name (#393 <https://github.com/ros2/rmw_connext/issues/393>)
  * Implement the rmw_get_publishers/subscriptions_info_by_topic() methods (#391 <https://github.com/ros2/rmw_connext/issues/391>)
  * Finding rmw_connext_shared_cpp must succeed, only rmw_connext_cpp can signal not-found when Connext is not available (#389 <https://github.com/ros2/rmw_connext/issues/389>)
  * Code style only: wrap after open parenthesis if not in one line (#387 <https://github.com/ros2/rmw_connext/issues/387>)
  * Avoid using build time Connext library paths, determine them when downstream packages are built (#385 <https://github.com/ros2/rmw_connext/issues/385>)
  * Stubs for rmw_get_publishers_info_by_topic and rmw_get_subscriptions_info_by_topic  (#377 <https://github.com/ros2/rmw_connext/issues/377>)
  * Filtering empty node names and namespaces (#362 <https://github.com/ros2/rmw_connext/issues/362>)
  * Contributors: CaptainTrunky, Chris Lalancette, Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Jaison Titus, Kyle Fazzari, Miaofei Mei, Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.8.1-1focal) focal; urgency=high

  * Support localhost only communication (#373 <https://github.com/ros2/rmw_connext/issues/373>)
  * update logic / patches to optionally support Connext 6 (#374 <https://github.com/ros2/rmw_connext/issues/374>)
  * Contributors: Brian Marchi, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.8.0-1focal) focal; urgency=high

  * Return specific error when not finding a node name (#365 <https://github.com/ros2/rmw_connext/issues/365>)
  * Add function for getting clients by node (#361 <https://github.com/ros2/rmw_connext/issues/361>)
  * Use rpputils::find_and_replace instead of std::regex_replace (#359 <https://github.com/ros2/rmw_connext/issues/359>)
  * Implement get_actual_qos() for subscriptions (#358 <https://github.com/ros2/rmw_connext/issues/358>)
  * Contributors: Jacob Perron, M. M, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.7.2-1focal) focal; urgency=high

  * Include 'srv' in service type namespace. (#356 <https://github.com/ros2/rmw_connext/issues/356>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-rmw-connext-shared-cpp (0.7.1-1focal) focal; urgency=high

  * Combine package name with type namespace in type support struct (#354 <https://github.com/ros2/rmw_connext/issues/354>)
  * Implement QoS: liveliness, deadline, lifespan (#352 <https://github.com/ros2/rmw_connext/issues/352>)
  * Contributors: Devin Bonnie, Jacob Perron, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000


