=== debian/control ===
Source: ros-foxy-rmw-connext-shared-cpp
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-connext-cmake-module, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-cmake, rti-connext-dds-5.3.1, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-connext-shared-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-cmake, ros-foxy-connext-cmake-module, rti-connext-dds-5.3.1, ros-foxy-ros-workspace
Description: C++ types and functions shared by the ROS middleware interface to RTI Connext Static and RTI Connext Dynamic.
